List organizations you can join by email domain
curl --request GET \
--url https://api.sazabi.com/v1/domain-join/organizationsimport requests
url = "https://api.sazabi.com/v1/domain-join/organizations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/domain-join/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/domain-join/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/domain-join/organizations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/domain-join/organizations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/domain-join/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"organizations": [
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"ownerName": "<string>",
"domain": "<string>",
"hasOpenSeat": true,
"adminNames": [
"<string>"
]
}
]
}Organizations
List organizations you can join by email domain
List the organizations you can join, or ask to join, because one of their owners shares your verified company email domain. Empty once you belong to any organization.
GET
https://api.sazabi.com/v1
/
domain-join
/
organizations
List organizations you can join by email domain
curl --request GET \
--url https://api.sazabi.com/v1/domain-join/organizationsimport requests
url = "https://api.sazabi.com/v1/domain-join/organizations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/domain-join/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/domain-join/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/domain-join/organizations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/domain-join/organizations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/domain-join/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"organizations": [
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"ownerName": "<string>",
"domain": "<string>",
"hasOpenSeat": true,
"adminNames": [
"<string>"
]
}
]
}